<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
  <a class="navbar-brand" style="color:white;">Shop</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor02" aria-controls="navbarColor02" aria-expanded="false" aria-label="Toggle navigation">
  <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarColor02">
     <ul class="navbar-nav mr-auto">
        <li class="nav-item active">
           <a class="nav-link" (click)="onOpenModal(null, 'add')">Добавить товар<span class="sr-only">(current)</span></a>
        </li>
     </ul>
     <form class="form-inline my-2 my-lg-0">
        <input type="search" (ngModelChange)="searchItem(key.value)" #key="ngModel" ngModel
               name="key" id="searchName" class="form-control mr-sm-2" placeholder="Поиск..." required>
     </form>
  </div>
</nav>
<div class="container" id="main-container">
<div class="row">
  <div *ngFor="let item of items" class="col-md-6 col-xl-3">
     <div class="card m-b-30">
        <div class="card-body row">
           <div class="col-6">
              <a href=""><img src="{{item?.imageUrl}}" alt="" class="img-fluid rounded-circle w-60"></a>
           </div>
           <div class="col-6 card-title align-self-center mb-0">
              <h5>{{item?.name}}</h5>
              <p class="m-0">{{item?.category}}</p>
           </div>
        </div>
        <ul class="list-group list-group-flush">
           <li class="list-group-item"><i class="fa fa-envelope float-right"></i>{{item?.description}}</li>
           <li class="list-group-item"><i class="fa fa-phone float-right"></i>Цена : {{item?.price}}</li>
        </ul>
        <div class="card-body">
           <div class="float-right btn-group btn-group-sm">
              <a (click)="onOpenModal(item, 'edit')" class="btn btn-primary tooltips" data-placement="top" data-original-title="Edit"><i class="fa fa-pencil"></i> </a>
              <a (click)="onOpenModal(item, 'delete')" class="btn btn-secondary tooltips" data-placement="top" data-original-title="Delete"><i class="fa fa-times"></i></a>
           </div>
        </div>
     </div>
  </div>
</div>

<!-- Add Item Modal -->
<div class="modal fade" id="addItemModal" tabindex="-1" role="dialog" aria-labelledby="addEmployeeModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
       <div class="modal-header">
          <h5 class="modal-title" id="addEmployeeModalLabel">Добавить товар</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
          </button>
       </div>
       <div class="modal-body">
          <form #addForm="ngForm" (ngSubmit)="onAddItem(addForm)">
          <div class="form-group">
             <label for="name">Название товара</label>
             <input type="text" ngModel name="name" class="form-control" id="name" placeholder="Название" required>
          </div>
          <div class="form-group">
             <label for="category">Категория</label>
             <input type="text" ngModel name="category" class="form-control" id="category" placeholder="Категория..." required>
          </div>
          <div class="form-group">
             <label for="description">Описание</label>
             <input type="text" ngModel name="description" class="form-control" id="description" placeholder="Описание..." required>
          </div>
          <div class="form-group">
             <label for="price">Цена</label>
             <input type="text" ngModel name="price" class="form-control" id="price" placeholder="Цена..." required>
          </div>
          <div class="form-group">
             <label for="imageUrl">Image URL</label>
             <input type="text" ngModel name="imageUrl" class="form-control" id="imageUrl" placeholder="Image URL" required>
          </div>
          <div class="modal-footer">
             <button type="button" id="add-item-form" class="btn btn-secondary" data-dismiss="modal">Закрыть</button>
             <button [disabled]="addForm.invalid" type="submit" class="btn btn-primary" >Сохранить</button>
          </div>
          </form>
       </div>
    </div>
  </div>
  </div>

<!-- Edit Modal -->
<div class="modal fade" id="updateItemModal" tabindex="-1" role="dialog" aria-labelledby="employeeEditModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
     <div class="modal-content">
        <div class="modal-header">
           <h5 class="modal-title" id="updateItemModalLabel">{{editItem?.name}}</h5>
           <button type="button" class="close" data-dismiss="modal" aria-label="Close">
           <span aria-hidden="true">&times;</span>
           </button>
        </div>
        <div class="modal-body">
           <form #editForm="ngForm">
              <div class="form-group">
                 <label for="name">Название</label>
                 <input type="text" ngModel="{{editItem?.name}}" name="name" class="form-control" id="name" aria-describedby="emailHelp" placeholder="Название...">
              </div>
              <input type="hidden" ngModel="{{editItem?.id}}" name="id" class="form-control" id="id" placeholder="Категория">
              <input type="hidden" ngModel="{{editItem?.employeeCode}}" name="userCode" class="form-control" id="userCode" placeholder="Email">
              <div class="form-group">
                 <label for="category">Категория</label>
                 <input type="category" ngModel="{{editItem?.category}}" name="category" class="form-control" id="category" placeholder="Категория...">
              </div>
              <div class="form-group">
                 <label for="description">Описание</label>
                 <input type="text" ngModel="{{editItem?.description}}" name="description" class="form-control" id="description" placeholder="Описание...">
              </div>
              <div class="form-group">
                 <label for="price">Цена</label>
                 <input type="text" ngModel="{{editItem?.price}}" name="price" class="form-control" id="price" name="price" placeholder="Цена...">
              </div>
              <div class="form-group">
                 <label for="imageUrl">Image URL</label>
                 <input type="text" ngModel="{{editItem?.imageUrl}}" name="imageUrl" class="form-control" id="imageUrl" placeholder="Image URL">
              </div>
              <div class="modal-footer">
                 <button type="button" id="" data-dismiss="modal" class="btn btn-secondary">Закрыть</button>
                 <button (click)="onUpdateItem(editForm.value)" data-dismiss="modal" class="btn btn-primary" >Сохранить</button>
              </div>
           </form>
        </div>
     </div>
  </div>
</div>

<!-- Delete Modal -->
<div class="modal fade" id="deleteItemModal" tabindex="-1" role="dialog" aria-labelledby="deleteModelLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
     <div class="modal-content">
        <div class="modal-header">
           <h5 class="modal-title" id="deleteModelLabel">Удалить</h5>
           <button type="button" class="close" data-dismiss="modal" aria-label="Close">
           <span aria-hidden="true">&times;</span>
           </button>
        </div>
        <div class="modal-body">
           <p>Вы уверены что хотите удалить {{deleteItem?.name}}?</p>
           <div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Нет</button>
              <button (click)="onDeleteItem(deleteItem?.id)" class="btn btn-danger" data-dismiss="modal">Да</button>
           </div>
        </div>
     </div>
  </div>
</div>
</div>

<!-- Notification for no items -->
<div *ngIf="items?.length == 0" class="col-lg-12 col-md-12 col-xl-12">
<div class="alert alert-info" role="alert">
  <h4 class="alert-heading">Нет товаров</h4>
  <p>Товары не были найдены.</p>
</div>
</div>
